using AutoMapper;
using SimpleLIS.DTO;
using SimpleLIS.Models;

namespace SimpleLIS;

public class MappingProfile : Profile
{
    public MappingProfile()
    {
        CreateMap<MessageDTO, Message>();
        CreateMap<Message, MessageDTO>();
        CreateMap<ObservationDTO, Observation>();
        CreateMap<Observation, ObservationDTO>();
        CreateMap<PatientDTO, Patient>();
        CreateMap<Patient, PatientDTO>();
    }
}
